VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL clk
        SIGNAL reset
        SIGNAL dataIn(3:0)
        SIGNAL dataIn(5:4)
        SIGNAL dataIn(7:0)
        SIGNAL muxOut
        SIGNAL dataIn(6)
        PORT Input clk
        PORT Input reset
        PORT Output dataIn(7:0)
        PORT Output muxOut
        BEGIN BLOCKDEF genSignal8
            TIMESTAMP 2009 10 12 6 48 36
            RECTANGLE N 64 -128 320 0 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 320 -96 384 -96 
            RECTANGLE N 320 -108 384 -84 
        END BLOCKDEF
        BEGIN BLOCKDEF mux4x1e
            TIMESTAMP 2009 9 30 22 54 56
            RECTANGLE N 64 -192 320 32 
            LINE N 64 -160 0 -160 
            RECTANGLE N 0 -172 64 -148 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -108 64 -84 
            LINE N 320 -112 384 -112 
            LINE N 64 0 0 0 
        END BLOCKDEF
        BEGIN BLOCK XLXI_8 genSignal8
            PIN clk clk
            PIN reset reset
            PIN sigOut(7:0) dataIn(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_11 mux4x1e
            PIN dataIn(3:0) dataIn(3:0)
            PIN selIn(1:0) dataIn(5:4)
            PIN muxOut muxOut
            PIN en dataIn(6)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        IOMARKER 832 528 clk R180 28
        BEGIN BRANCH dataIn(3:0)
            WIRE 1488 528 1584 528
            WIRE 1584 528 1680 528
            BEGIN DISPLAY 1584 528 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH dataIn(7:0)
            WIRE 1248 528 1360 528
            WIRE 1360 528 1456 528
            BEGIN DISPLAY 1360 528 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH dataIn(5:4)
            WIRE 1488 592 1600 592
            WIRE 1600 592 1680 592
            BEGIN DISPLAY 1600 592 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 832 592 reset R180 28
        BEGIN BRANCH reset
            WIRE 832 592 864 592
        END BRANCH
        BEGIN BRANCH clk
            WIRE 832 528 864 528
        END BRANCH
        BEGIN INSTANCE XLXI_8 864 624 R0
        END INSTANCE
        BEGIN BRANCH dataIn(7:0)
            WIRE 1488 400 2096 400
        END BRANCH
        IOMARKER 2096 400 dataIn(7:0) R0 28
        BEGIN INSTANCE XLXI_11 1680 688 R0
        END INSTANCE
        BEGIN BRANCH muxOut
            WIRE 2064 576 2096 576
        END BRANCH
        BEGIN BRANCH dataIn(6)
            WIRE 1488 688 1600 688
            WIRE 1600 688 1680 688
            BEGIN DISPLAY 1600 688 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 2096 576 muxOut R0 28
    END SHEET
END SCHEMATIC
