
module dcd2(
	dcdIn, 
	en, 
	dcdOut
);

input[1:0]	dcdIn;
input		en;
output[3:0]	dcdOut;
reg[3:0]	dcdOut;
   
always @(dcdIn or en)
if (en)	dcdOut <= 4'b0000; else
case (dcdIn)
2'b11:		dcdOut <= 4'b1000; 
2'b10:		dcdOut <= 4'b0100; 
2'b01:		dcdOut <= 4'b0010; 
default:	   dcdOut <= 4'b0001; 
endcase
	
endmodule
