module genSignal8(
clk, 
reset, 
sigOut
);

input		clk;
input		reset;
output[7:0]	sigOut;
reg[7:0]	sigOut;

reg[15:0]	clockDivider;

always @(posedge clk or posedge reset)
if(reset)	clockDivider <= 'b0; else
		clockDivider <= clockDivider + 1; 

always @(posedge clk or posedge reset)
if(reset)			sigOut <= 'b0; else
if (clockDivider == 'b0)	sigOut <= sigOut + 1;

endmodule
