VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL en
        SIGNAL dcdOut(3:0)
        SIGNAL dcdOut(0)
        SIGNAL dcdOut(1)
        SIGNAL dcdOut(2)
        SIGNAL dcdOut(3)
        SIGNAL dcdIn(0)
        SIGNAL dcdIn(1)
        SIGNAL dcdIn(1:0)
        PORT Input en
        PORT Output dcdOut(3:0)
        PORT Input dcdIn(1:0)
        BEGIN BLOCKDEF d2_4e
            TIMESTAMP 2000 1 1 10 10 10
            RECTANGLE N 64 -384 320 -64 
            LINE N 0 -128 64 -128 
            LINE N 0 -256 64 -256 
            LINE N 0 -320 64 -320 
            LINE N 384 -128 320 -128 
            LINE N 384 -192 320 -192 
            LINE N 384 -256 320 -256 
            LINE N 384 -320 320 -320 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 d2_4e
            PIN A0 dcdIn(0)
            PIN A1 dcdIn(1)
            PIN E en
            PIN D0 dcdOut(0)
            PIN D1 dcdOut(1)
            PIN D2 dcdOut(2)
            PIN D3 dcdOut(3)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        INSTANCE XLXI_1 736 816 R0
        BEGIN BRANCH en
            WIRE 288 688 720 688
            WIRE 720 688 736 688
        END BRANCH
        BEGIN BRANCH dcdOut(3:0)
            WIRE 1248 432 1344 432
            WIRE 1248 432 1248 496
            WIRE 1248 496 1248 560
            WIRE 1248 560 1248 624
            WIRE 1248 624 1248 688
            WIRE 1248 688 1248 736
        END BRANCH
        IOMARKER 1344 432 dcdOut(3:0) R0 28
        BUSTAP 1248 496 1152 496
        BUSTAP 1248 624 1152 624
        BUSTAP 1248 688 1152 688
        BUSTAP 1248 560 1152 560
        BEGIN BRANCH dcdOut(0)
            WIRE 1120 496 1136 496
            WIRE 1136 496 1152 496
            BEGIN DISPLAY 1136 496 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH dcdOut(1)
            WIRE 1120 560 1136 560
            WIRE 1136 560 1152 560
            BEGIN DISPLAY 1136 560 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH dcdOut(2)
            WIRE 1120 624 1136 624
            WIRE 1136 624 1152 624
            BEGIN DISPLAY 1136 624 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH dcdOut(3)
            WIRE 1120 688 1136 688
            WIRE 1136 688 1152 688
            BEGIN DISPLAY 1136 688 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH dcdIn(0)
            WIRE 688 496 704 496
            WIRE 704 496 736 496
            BEGIN DISPLAY 704 496 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH dcdIn(1)
            WIRE 688 560 704 560
            WIRE 704 560 736 560
            BEGIN DISPLAY 704 560 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH dcdIn(1:0)
            WIRE 368 432 592 432
            WIRE 592 432 592 496
            WIRE 592 496 592 560
            WIRE 592 560 592 624
        END BRANCH
        BUSTAP 592 496 688 496
        BUSTAP 592 560 688 560
        IOMARKER 368 432 dcdIn(1:0) R180 28
        IOMARKER 288 688 en R180 28
    END SHEET
END SCHEMATIC
