VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL reset
        SIGNAL XLXN_49
        SIGNAL XLXN_50
        SIGNAL sigOut(7:0)
        SIGNAL clk
        PORT Input reset
        PORT Output sigOut(7:0)
        PORT Input clk
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -32 64 -64 
            LINE N 64 0 64 -32 
            LINE N 96 -64 32 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF cb16ce
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 384 -192 320 -192 
            RECTANGLE N 320 -268 384 -244 
            LINE N 384 -256 320 -256 
            LINE N 0 -192 64 -192 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 0 -128 64 -128 
            LINE N 0 -32 64 -32 
            LINE N 384 -128 320 -128 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF cb8ce
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 384 -128 320 -128 
            RECTANGLE N 320 -268 384 -244 
            LINE N 384 -256 320 -256 
            LINE N 0 -192 64 -192 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 0 -128 64 -128 
            LINE N 0 -32 64 -32 
            LINE N 384 -192 320 -192 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCK XLXI_12 vcc
            PIN P XLXN_49
        END BLOCK
        BEGIN BLOCK XLXI_3 cb16ce
            PIN C clk
            PIN CE XLXN_49
            PIN CLR reset
            PIN CEO XLXN_50
            PIN Q(15:0)
            PIN TC
        END BLOCK
        BEGIN BLOCK XLXI_13 cb8ce
            PIN C clk
            PIN CE XLXN_50
            PIN CLR reset
            PIN CEO
            PIN Q(7:0) sigOut(7:0)
            PIN TC
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN BRANCH reset
            WIRE 368 1312 416 1312
            WIRE 416 1312 1024 1312
            WIRE 416 1248 448 1248
            WIRE 416 1248 416 1312
            WIRE 1024 1248 1024 1312
        END BRANCH
        BEGIN BRANCH XLXN_49
            WIRE 368 1040 368 1088
            WIRE 368 1088 448 1088
        END BRANCH
        INSTANCE XLXI_12 304 1040 R0
        INSTANCE XLXI_3 448 1280 R0
        BEGIN BRANCH XLXN_50
            WIRE 832 1088 848 1088
            WIRE 848 1088 1024 1088
        END BRANCH
        IOMARKER 368 1312 reset R180 28
        INSTANCE XLXI_13 1024 1280 R0
        BEGIN BRANCH sigOut(7:0)
            WIRE 1408 1024 1424 1024
            WIRE 1424 1024 1600 1024
        END BRANCH
        IOMARKER 1600 1024 sigOut(7:0) R0 28
        BEGIN BRANCH clk
            WIRE 384 1152 432 1152
            WIRE 432 1152 448 1152
            WIRE 432 896 432 1152
            WIRE 432 896 912 896
            WIRE 912 896 912 1152
            WIRE 912 1152 1024 1152
        END BRANCH
        IOMARKER 384 1152 clk R180 28
    END SHEET
END SCHEMATIC
