VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL clk
        SIGNAL reset
        SIGNAL dcdIn(1:0)
        SIGNAL dcdIn(7:0)
        BEGIN SIGNAL dcdIn(2)
        END SIGNAL
        SIGNAL dcdOut(3:0)
        PORT Input clk
        PORT Input reset
        PORT Output dcdIn(7:0)
        PORT Output dcdOut(3:0)
        BEGIN BLOCKDEF dcd2
            TIMESTAMP 2009 9 29 20 9 2
            RECTANGLE N 64 -128 320 0 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -32 0 -32 
            LINE N 320 -64 384 -64 
            RECTANGLE N 320 -76 384 -52 
        END BLOCKDEF
        BEGIN BLOCKDEF genSignal8
            TIMESTAMP 2009 9 29 20 12 40
            RECTANGLE N 64 -128 320 0 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 320 -96 384 -96 
            RECTANGLE N 320 -108 384 -84 
        END BLOCKDEF
        BEGIN BLOCK XLXI_8 genSignal8
            PIN clk clk
            PIN reset reset
            PIN sigOut(7:0) dcdIn(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_9 dcd2
            PIN dcdIn(1:0) dcdIn(1:0)
            PIN en dcdIn(2)
            PIN dcdOut(3:0) dcdOut(3:0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        IOMARKER 832 528 clk R180 28
        BEGIN BRANCH dcdIn(1:0)
            WIRE 1488 528 1584 528
            WIRE 1584 528 1680 528
            BEGIN DISPLAY 1584 528 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH dcdIn(7:0)
            WIRE 1248 528 1360 528
            WIRE 1360 528 1456 528
            BEGIN DISPLAY 1360 528 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH dcdIn(2)
            WIRE 1488 592 1664 592
            WIRE 1664 592 1680 592
            BEGIN DISPLAY 1488 592 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        IOMARKER 832 592 reset R180 28
        BEGIN BRANCH dcdOut(3:0)
            WIRE 2064 560 2080 560
            WIRE 2080 560 2096 560
        END BRANCH
        IOMARKER 2096 560 dcdOut(3:0) R0 28
        BEGIN BRANCH reset
            WIRE 832 592 864 592
        END BRANCH
        BEGIN BRANCH clk
            WIRE 832 528 864 528
        END BRANCH
        BEGIN INSTANCE XLXI_8 864 624 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_9 1680 624 R0
        END INSTANCE
        BEGIN BRANCH dcdIn(7:0)
            WIRE 1488 400 2000 400
            WIRE 2000 400 2096 400
        END BRANCH
        IOMARKER 2096 400 dcdIn(7:0) R0 28
    END SHEET
END SCHEMATIC
