VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL muxOut
        SIGNAL selIn(0)
        SIGNAL en
        SIGNAL selIn(1:0)
        SIGNAL selIn(1)
        SIGNAL dataIn(3:0)
        SIGNAL dataIn(0)
        SIGNAL dataIn(3)
        SIGNAL dataIn(2)
        SIGNAL dataIn(1)
        PORT Output muxOut
        PORT Input en
        PORT Input selIn(1:0)
        PORT Input dataIn(3:0)
        BEGIN BLOCKDEF m4_1e
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -416 96 -416 
            LINE N 0 -352 96 -352 
            LINE N 0 -288 96 -288 
            LINE N 0 -224 96 -224 
            LINE N 0 -32 96 -32 
            LINE N 320 -320 256 -320 
            LINE N 0 -160 96 -160 
            LINE N 0 -96 96 -96 
            LINE N 176 -96 96 -96 
            LINE N 176 -208 176 -96 
            LINE N 224 -32 96 -32 
            LINE N 224 -216 224 -32 
            LINE N 256 -224 96 -192 
            LINE N 256 -416 256 -224 
            LINE N 96 -448 256 -416 
            LINE N 96 -192 96 -448 
            LINE N 128 -160 96 -160 
            LINE N 128 -200 128 -160 
        END BLOCKDEF
        BEGIN BLOCK XLXI_4 m4_1e
            PIN D0 dataIn(0)
            PIN D1 dataIn(1)
            PIN D2 dataIn(2)
            PIN D3 dataIn(3)
            PIN E en
            PIN S0 selIn(0)
            PIN S1 selIn(1)
            PIN O muxOut
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN BRANCH muxOut
            WIRE 1072 320 1120 320
        END BRANCH
        BEGIN BRANCH selIn(0)
            WIRE 608 480 640 480
            WIRE 640 480 752 480
            BEGIN DISPLAY 640 480 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH en
            WIRE 304 608 752 608
        END BRANCH
        INSTANCE XLXI_4 752 640 R0
        BEGIN BRANCH selIn(1:0)
            WIRE 288 448 512 448
            WIRE 512 448 512 480
            WIRE 512 480 512 544
            WIRE 512 544 512 576
        END BRANCH
        BUSTAP 512 480 608 480
        BUSTAP 512 544 608 544
        BEGIN BRANCH selIn(1)
            WIRE 608 544 624 544
            WIRE 624 544 752 544
            BEGIN DISPLAY 624 544 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH dataIn(3:0)
            WIRE 336 160 560 160
            WIRE 560 160 560 224
            WIRE 560 224 560 288
            WIRE 560 288 560 352
            WIRE 560 352 560 416
            WIRE 560 416 560 448
        END BRANCH
        BUSTAP 560 352 656 352
        BUSTAP 560 416 656 416
        BUSTAP 560 288 656 288
        BUSTAP 560 224 656 224
        BEGIN BRANCH dataIn(0)
            WIRE 656 224 672 224
            WIRE 672 224 752 224
            BEGIN DISPLAY 672 224 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH dataIn(3)
            WIRE 656 416 672 416
            WIRE 672 416 752 416
            BEGIN DISPLAY 672 416 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 1120 320 muxOut R0 28
        IOMARKER 304 608 en R180 28
        IOMARKER 288 448 selIn(1:0) R180 28
        IOMARKER 336 160 dataIn(3:0) R180 28
        BEGIN BRANCH dataIn(1)
            WIRE 656 288 672 288
            WIRE 672 288 752 288
            BEGIN DISPLAY 672 288 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH dataIn(2)
            WIRE 656 352 672 352
            WIRE 672 352 752 352
            BEGIN DISPLAY 672 352 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
    END SHEET
END SCHEMATIC
